Skip to main content
GET
List your payments

Authorizations

X-API-Key
string
header
required

On the example server, any key that starts with rpk_mock_, e.g. rpk_mock_yourname. Never your real key.

Query Parameters

transaction_id
string

string. Only the payout with this transaction id.

type
enum<string>

qr | bank_transfer. Only payouts of this type.

Available options:
qr,
bank_transfer
status
enum<string>

status. Only payments that ended so: completed, failed, rejected or cancelled.

Available options:
status
from
string<date-time>

ISO-8601 instant. Created at or after this instant. Must carry a zone, e.g. 2026-10-01T04:00:00Z.

to
string<date-time>

ISO-8601 instant. Created at or before this instant (inclusive). Must carry a zone.

limit
integer

integer 1–100. Page size. Default 50.

cursor
string

string. next_cursor from the previous page. Keep the same filters.

Response

OK

data
object[]
next_cursor
unknown